Bug 125466 - CLI installer crapped out, maybe because first run bad
CLI installer crapped out, maybe because first run bad
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Warner
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-07 14:26 EDT by Patrick C. F. Ernzer
Modified: 2007-08-06 11:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-21 18:44:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-06-07 14:26:52 EDT
Steps to reproduce:
  1) call RHN Sat 3.2.0-12 installer with --nox but without the ssl pass
  2) installer fails (because ssl pass was not specified)
  3) run installer again, this time with ssl-password
 
Actual results:
  ERROR: /rhnsat exists. It appears the schema does not exists... yet
there
is data in /rhnsat. I'm confused. Shutting down.
Exit code from RHN Satellite CLI installer: 1
rm -rf /rhnsat/lost+found/
[root@q4dehicnss0 cdrom]# ls -la /rhnsat/
total 8
drwxr-xr-x    2 root     root         4096 Jun  7 19:37 .
drwxr-xr-x   20 root     root         4096 Jun  7 18:12 ..
 
Expected results:
  installer running through
 
Additional Info:
  /rhnsat is a dedicated partition, hence the removel of 'lost+found'
in case the installer got confused by that.

  I am not sure if the first botched run has anything to do with it,
but I guess you should keep that in mind when testing.
Comment 1 Todd Warner 2004-07-21 18:44:51 EDT
Works for me (RHN Satellite 3.4). I.e., I can't seem to reproduce it.
I think you found a corner case somewhere. If you run across it again,
please ping me.

I am going to close this. RHN Satellite 3.5 (not released to public)
will have a whole knew installer anyway. For 3.4, I am willing to
address this issue if it every crops up again.

Thanks for the bug, Patrick. Have a nice day. :)

Note You need to log in before you can comment on or make changes to this bug.